Subject: [Sipping] Comments requested on draft-drage-sipping-rfc3455bis-00.txt

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Sat, 29 Oct 2005 19:05:25 +0100

I have submitted the following as an i-d:

  "Update to RFC 3455: (Private Header (P-Header) Extensions to the Session 
  Initiation Protocol (SIP) for the 3rd-Generation Partnership Project (3GPP)", 
  Keith Drage, 20-Oct-05, <draft-drage-sipping-rfc3455bis-00.txt> 

    RFC3455 [3] describes a set of private Session Initiation Protocol (SIP) 
    headers (P-headers) used by the 3rd-Generation Partnership Project (3GPP), 
    along with their applicability, which is limited to particular 
    environments. Since RFC3455 [3] was approved in 2003, a number of minor 
    corrections and extensions have arisen whose documentation would be 
    convenient to 3GPP. This proposed update to RFC3455 [3] provides those 
    minor corrections and extensions. 

While the main aim of this draft is to update the existing RFC 3455 which was drafted to support IMS specific P-headers, one of the key issues I need to answer is the best way to do some of the updates.

Currently the draft documents an extensible range of values in two ways:

i)	by listing all the values in the draft

ii)	by allowing 3GPP to extend the space beyond certain values.

There is now a need to extend the values identified by i) and I would like to know whether people consider the best way of achieving this is:

i)	by adding the values in this update i-d

ii)	by using this update to create an IANA registration

iii)	by using this update to devolve the values, and therefore the extension, back to a published 3GPP specification.

While ii) would be the normal way of doing this, these are after all, only P-headers. Is this important enough for IANA to worry about?

regards

Keith

Keith Drage
Lucent Technologies
[email-masked]
tel: +44 1793 776249

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP